/*@tailwind base;*/

.tm-flex {
  display: flex;
}

.tm-grid {
  display: grid;
}

.tm-w-\[80\%\] {
  width: 80%;
}

.tm-w-full {
  width: 100%;
}

.tm-cursor-pointer {
  cursor: pointer;
}

.tm-grid-cols-1 {
  grid-template-columns: repeat(1, minmax(0, 1fr));
}

.tm-grid-cols-2 {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

.tm-grid-cols-4 {
  grid-template-columns: repeat(4, minmax(0, 1fr));
}

.tm-flex-col {
  flex-direction: column;
}

.tm-gap-\[22px\] {
  gap: 22px;
}

.tm-gap-\[8px\] {
  gap: 8px;
}

.tm-rounded-\[4px\] {
  border-radius: 4px;
}

.tm-rounded-\[8px\] {
  border-radius: 8px;
}

.tm-border-\[1px\] {
  border-width: 1px;
}

.tm-border-\[2px\] {
  border-width: 2px;
}

.tm-border-b-\[1px\] {
  border-bottom-width: 1px;
}

.tm-border-\[\#7B61FF\] {
  --tw-border-opacity: 1;
  border-color: rgb(123 97 255 / var(--tw-border-opacity));
}

.tm-border-\[\#909090\] {
  --tw-border-opacity: 1;
  border-color: rgb(144 144 144 / var(--tw-border-opacity));
}

.tm-border-\[\#F9C679\] {
  --tw-border-opacity: 1;
  border-color: rgb(249 198 121 / var(--tw-border-opacity));
}

.tm-border-\[\#e6e6e6\] {
  --tw-border-opacity: 1;
  border-color: rgb(230 230 230 / var(--tw-border-opacity));
}

.tm-bg-\[\#7B61FF\] {
  --tw-bg-opacity: 1;
  background-color: #3182CE;
}

.tm-bg-\[\#FEF9F2\] {
  --tw-bg-opacity: 1;
  background-color: rgb(254 249 242 / var(--tw-bg-opacity));
}

.tm-bg-white {
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity));
}

.tm-px-\[12px\] {
  padding-left: 12px;
  padding-right: 12px;
}

.tm-px-\[8px\] {
  padding-left: 8px;
  padding-right: 8px;
}

.tm-py-\[12px\] {
  padding-top: 12px;
  padding-bottom: 12px;
}

.tm-py-\[8px\] {
  padding-top: 8px;
  padding-bottom: 8px;
}

.tm-text-center {
  text-align: center;
}

.tm-text-\[12px\] {
  font-size: 12px;
}

.tm-text-\[14px\] {
  font-size: 14px;
}

.tm-font-\[600\] {
  font-weight: 600;
}

.tm-leading-\[20px\] {
  line-height: 20px;
}

.tm-leading-\[22px\] {
  line-height: 22px;
}

.tm-leading-\[24px\] {
  line-height: 24px;
}

.tm-text-\[\#262626\] {
  --tw-text-opacity: 1;
  color: rgb(38 38 38 / var(--tw-text-opacity));
}

.tm-text-\[\#545454\] {
  --tw-text-opacity: 1;
  color: rgb(84 84 84 / var(--tw-text-opacity));
}

.tm-text-\[\#7B61FF\] {
  --tw-text-opacity: 1;
  color: rgb(123 97 255 / var(--tw-text-opacity));
}

.tm-text-\[\#909090\] {
  --tw-text-opacity: 1;
  color: rgb(144 144 144 / var(--tw-text-opacity));
}

.tm-text-\[\#AF9061\] {
  --tw-text-opacity: 1;
  color: rgb(175 144 97 / var(--tw-text-opacity));
}

.tm-text-white {
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity));
}

*,
::before,
::after {
  box-sizing: border-box;
  /* 1 */
  border-width: 0;
  /* 2 */
  border-style: solid;
  /* 2 */
  border-color: #e5e7eb;
  /* 2 */
}

::before,
::after {
  --tw-content: '';
}

.testter-test-modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1050;
  /* Sit on top */
  padding-top: 100px;
  /* Location of the box */
  padding-bottom: 10px;
  /* Location of the box */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: rgb(0,0,0);
  /* Fallback color */
  background-color: rgba(0,0,0,0.4);
  /* Black w/ opacity */
}

.testter-test-modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
}

.hover\:tm-text-\[\#7B61FF\]:hover {
  --tw-text-opacity: 1;
  color: rgb(123 97 255 / var(--tw-text-opacity));
}

.hover\:tm-text-white:hover {
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity));
}

.hover\:tm-no-underline:hover {
  text-decoration-line: none;
}

@media (min-width: 640px) {
  .sm\:tm-w-\[585px\] {
    width: 585px;
  }

  .sm\:tm-grid-cols-8 {
    grid-template-columns: repeat(8, minmax(0, 1fr));
  }
}